import { ReadonlyVec2, vec2 } from 'gl-matrix';
import { Texture } from '../texture/texture';
import { UniversalRenderingContext } from '../universal-rendering-context';
/** @internal */
export declare abstract class FrameBuffer {
    protected readonly gl: UniversalRenderingContext;
    renderScale: number;
    enableHighDpiRendering: boolean;
    protected size: vec2;
    protected frameBuffer: WebGLFramebuffer | null;
    constructor(gl: UniversalRenderingContext);
    bindAndClear(inputTextures?: Array<Texture>): void;
    destroy(): void;
    setSize(canvasSize: ReadonlyVec2): boolean;
    getSize(): vec2;
}
//# sourceMappingURL=frame-buffer.d.ts.map