import { vec2 } from 'gl-matrix';
import { DrawableDescriptor } from '../../../drawables/drawable-descriptor';
import { ParallelCompiler } from '../parallel-compiler';
import { UniversalRenderingContext } from '../universal-rendering-context';
import { IProgram } from './i-program';
/** @internal */
export declare class UniformArrayAutoScalingProgram implements IProgram {
    private readonly gl;
    private programs;
    private current?;
    private descriptors;
    private drawingRectangleBottomLeft;
    private drawingRectangleSize;
    constructor(gl: UniversalRenderingContext);
    initialize(shaderSources: [string, string], descriptors: Array<DrawableDescriptor>, compiler: ParallelCompiler, substitutions?: {
        [name: string]: any;
    }): Promise<void>;
    private checkDescriptorValidity;
    setDrawingRectangleUV(bottomLeft: vec2, size: vec2): void;
    draw(uniforms: {
        [name: string]: any;
    }): void;
    destroy(): void;
    private createProgram;
    private getMacroDefinitions;
    private getDeclarations;
    private getFunctionCalls;
}
//# sourceMappingURL=uniform-array-autoscaling-program.d.ts.map