import { DrawableDescriptor } from '../../../drawables/drawable-descriptor';
import { FrameBuffer } from '../../graphics-library/frame-buffer/frame-buffer';
import { ParallelCompiler } from '../../graphics-library/parallel-compiler';
import { UniformArrayAutoScalingProgram } from '../../graphics-library/program/uniform-array-autoscaling-program';
import { UniversalRenderingContext } from '../../graphics-library/universal-rendering-context';
/** @internal */
export declare abstract class RenderPass {
    protected readonly gl: UniversalRenderingContext;
    protected frame: FrameBuffer;
    protected program: UniformArrayAutoScalingProgram;
    constructor(gl: UniversalRenderingContext, frame: FrameBuffer);
    initialize(shaderSources: [string, string], descriptors: Array<DrawableDescriptor>, compiler: ParallelCompiler, substitutions?: {
        [name: string]: any;
    }): Promise<void>;
    destroy(): void;
}
//# sourceMappingURL=render-pass.d.ts.map