import { ReadonlyVec2 } from 'gl-matrix';
/**
 * Create a renderer, draw a 2D noise texture with it,
 * then destroy the used resources,
 * while returning the generated texture in the form of a canvas.
 *
 * @param textureSize The resolution of the end result
 * @param scale A starting value can be 15
 * @param amplitude A starting value can be 1
 * @param ignoreWebGL2 Ignore WebGL2, even when it's available
 */
export declare const renderNoise: (textureSize: ReadonlyVec2, scale: number, amplitude: number, ignoreWebGL2?: boolean) => Promise<HTMLCanvasElement>;
//# sourceMappingURL=noise-renderer.d.ts.map